import { css } from "lit";

export default css`
  :host,
  .p-theme-dark {
    color-scheme: dark;

    --p-color-gray-50: hsl(240 5.1% 15%);
    --p-color-gray-100: hsl(240 5.7% 18.2%);
    --p-color-gray-200: hsl(240 4.6% 22%);
    --p-color-gray-300: hsl(240 5% 27.6%);
    --p-color-gray-400: hsl(240 5% 35.5%);
    --p-color-gray-500: hsl(240 3.7% 44%);
    --p-color-gray-600: hsl(240 5.3% 58%);
    --p-color-gray-700: hsl(240 5.6% 73%);
    --p-color-gray-800: hsl(240 7.3% 84%);
    --p-color-gray-900: hsl(240 9.1% 91.8%);
    --p-color-gray-950: hsl(0 0% 95%);

    --p-color-red-50: hsl(0 56% 23.9%);
    --p-color-red-100: hsl(0.6 60% 33.9%);
    --p-color-red-200: hsl(0.9 67.2% 37.1%);
    --p-color-red-300: hsl(1.1 71.3% 43.7%);
    --p-color-red-400: hsl(1 76% 52.5%);
    --p-color-red-500: hsl(0.7 89.6% 57.2%);
    --p-color-red-600: hsl(0 98.6% 67.9%);
    --p-color-red-700: hsl(0 100% 72.3%);
    --p-color-red-800: hsl(0 100% 85.6%);
    --p-color-red-900: hsl(0 100% 90.3%);
    --p-color-red-950: hsl(0 100% 95.9%);

    --p-color-orange-50: hsl(15 64.2% 23.3%);
    --p-color-orange-100: hsl(15.1 70.9% 31.1%);
    --p-color-orange-200: hsl(15.3 75.7% 35.5%);
    --p-color-orange-300: hsl(17.1 83.5% 42.7%);
    --p-color-orange-400: hsl(20.1 88% 50.8%);
    --p-color-orange-500: hsl(24.3 100% 50.5%);
    --p-color-orange-600: hsl(27.2 100% 57.7%);
    --p-color-orange-700: hsl(31.3 100% 68.7%);
    --p-color-orange-800: hsl(33.8 100% 79.3%);
    --p-color-orange-900: hsl(38.9 100% 87.7%);
    --p-color-orange-950: hsl(46.2 100% 95%);

    --p-color-amber-50: hsl(21.9 66.3% 21.1%);
    --p-color-amber-100: hsl(21.5 73.6% 29.7%);
    --p-color-amber-200: hsl(22.3 77.6% 33.3%);
    --p-color-amber-300: hsl(25.4 84.2% 39.6%);
    --p-color-amber-400: hsl(31.4 87.4% 46.7%);
    --p-color-amber-500: hsl(37 96.6% 48.3%);
    --p-color-amber-600: hsl(43.3 100% 53.4%);
    --p-color-amber-700: hsl(46.5 100% 61.1%);
    --p-color-amber-800: hsl(49.3 100% 73%);
    --p-color-amber-900: hsl(51.8 100% 85%);
    --p-color-amber-950: hsl(60 100% 94.6%);

    --p-color-yellow-50: hsl(32.5 60% 18.2%);
    --p-color-yellow-100: hsl(28.1 68.6% 29%);
    --p-color-yellow-200: hsl(31.3 75.8% 30.8%);
    --p-color-yellow-300: hsl(34.7 84.4% 35.3%);
    --p-color-yellow-400: hsl(40.1 87.3% 43.3%);
    --p-color-yellow-500: hsl(44.7 88% 46%);
    --p-color-yellow-600: hsl(47.7 100% 50.9%);
    --p-color-yellow-700: hsl(51.3 100% 59.9%);
    --p-color-yellow-800: hsl(54.6 100% 73%);
    --p-color-yellow-900: hsl(58.9 100% 84.2%);
    --p-color-yellow-950: hsl(60 100% 94%);

    --p-color-lime-50: hsl(86.5 54.4% 18%);
    --p-color-lime-100: hsl(87.6 56.8% 23.3%);
    --p-color-lime-200: hsl(85.8 63.2% 24.5%);
    --p-color-lime-300: hsl(86.1 72% 29.4%);
    --p-color-lime-400: hsl(85.5 76.8% 37.3%);
    --p-color-lime-500: hsl(84.3 74.2% 42.1%);
    --p-color-lime-600: hsl(82.8 81.5% 52.6%);
    --p-color-lime-700: hsl(82 89.9% 64%);
    --p-color-lime-800: hsl(80.9 97.9% 76.6%);
    --p-color-lime-900: hsl(77.9 100% 85.8%);
    --p-color-lime-950: hsl(69.5 100% 93.8%);

    --p-color-green-50: hsl(144.3 53.6% 16%);
    --p-color-green-100: hsl(143.2 55.4% 23.5%);
    --p-color-green-200: hsl(141.5 58.2% 26.3%);
    --p-color-green-300: hsl(140.8 64.2% 31.8%);
    --p-color-green-400: hsl(140.3 68% 39.2%);
    --p-color-green-500: hsl(141.1 64.9% 43%);
    --p-color-green-600: hsl(141.6 72.4% 55.2%);
    --p-color-green-700: hsl(141.7 82.7% 70.1%);
    --p-color-green-800: hsl(141 90.9% 82.1%);
    --p-color-green-900: hsl(142 100% 89.1%);
    --p-color-green-950: hsl(144 100% 95.5%);

    --p-color-emerald-50: hsl(164.3 75% 13.5%);
    --p-color-emerald-100: hsl(163.5 72.6% 20.1%);
    --p-color-emerald-200: hsl(162.1 73.7% 22.4%);
    --p-color-emerald-300: hsl(161.3 77.3% 27.6%);
    --p-color-emerald-400: hsl(159.6 77.1% 34.3%);
    --p-color-emerald-500: hsl(159.1 73.5% 37.9%);
    --p-color-emerald-600: hsl(157.8 66.8% 48.9%);
    --p-color-emerald-700: hsl(156.2 76.1% 63.8%);
    --p-color-emerald-800: hsl(152.4 84.4% 77.4%);
    --p-color-emerald-900: hsl(149.3 100% 87%);
    --p-color-emerald-950: hsl(158.6 100% 94.8%);

    --p-color-teal-50: hsl(176.5 51.5% 15.4%);
    --p-color-teal-100: hsl(175.9 54.7% 22.3%);
    --p-color-teal-200: hsl(175.9 60.7% 23.9%);
    --p-color-teal-300: hsl(174.5 67.3% 28.8%);
    --p-color-teal-400: hsl(174.4 71.9% 34.9%);
    --p-color-teal-500: hsl(173.1 71% 38.3%);
    --p-color-teal-600: hsl(172.3 68.2% 48.1%);
    --p-color-teal-700: hsl(170.5 81.3% 61.5%);
    --p-color-teal-800: hsl(168.4 92.1% 75.2%);
    --p-color-teal-900: hsl(168.3 100% 86%);
    --p-color-teal-950: hsl(180 100% 95.5%);

    --p-color-cyan-50: hsl(197.1 53.8% 20.3%);
    --p-color-cyan-100: hsl(196.8 57.3% 27.2%);
    --p-color-cyan-200: hsl(195.3 62.7% 29.4%);
    --p-color-cyan-300: hsl(193.5 71.3% 34.1%);
    --p-color-cyan-400: hsl(192.5 76.8% 40.6%);
    --p-color-cyan-500: hsl(189.4 78.6% 42.6%);
    --p-color-cyan-600: hsl(188.2 89.1% 51.7%);
    --p-color-cyan-700: hsl(187 98.6% 66.2%);
    --p-color-cyan-800: hsl(184.9 100% 78.3%);
    --p-color-cyan-900: hsl(180 100% 86.6%);
    --p-color-cyan-950: hsl(180 100% 94.8%);

    --p-color-sky-50: hsl(203 63.8% 20.9%);
    --p-color-sky-100: hsl(203.4 70.4% 28%);
    --p-color-sky-200: hsl(202.7 75.8% 30.8%);
    --p-color-sky-300: hsl(203.1 80.4% 36.1%);
    --p-color-sky-400: hsl(202.1 80.5% 44.3%);
    --p-color-sky-500: hsl(199.7 85.9% 47.7%);
    --p-color-sky-600: hsl(198.7 97.9% 57.2%);
    --p-color-sky-700: hsl(198.7 100% 70.5%);
    --p-color-sky-800: hsl(198.8 100% 82.5%);
    --p-color-sky-900: hsl(198.5 100% 89.9%);
    --p-color-sky-950: hsl(186 100% 95.5%);

    --p-color-blue-50: hsl(227.1 49.5% 22.7%);
    --p-color-blue-100: hsl(225.8 58.9% 36.8%);
    --p-color-blue-200: hsl(227.7 64.4% 42.9%);
    --p-color-blue-300: hsl(226.1 72.7% 51.2%);
    --p-color-blue-400: hsl(222.6 86.5% 56.3%);
    --p-color-blue-500: hsl(217.8 95.8% 57.4%);
    --p-color-blue-600: hsl(213.3 100% 65%);
    --p-color-blue-700: hsl(210.9 100% 74.8%);
    --p-color-blue-800: hsl(211.5 100% 83.4%);
    --p-color-blue-900: hsl(211 100% 88.9%);
    --p-color-blue-950: hsl(201.8 100% 95.3%);

    --p-color-indigo-50: hsl(243.5 40.8% 27%);
    --p-color-indigo-100: hsl(242.9 45.7% 37.6%);
    --p-color-indigo-200: hsl(244.7 52.7% 43.1%);
    --p-color-indigo-300: hsl(245.3 60.5% 52.4%);
    --p-color-indigo-400: hsl(244.1 79.2% 60.4%);
    --p-color-indigo-500: hsl(239.6 88.7% 63.8%);
    --p-color-indigo-600: hsl(234.5 96.7% 70.9%);
    --p-color-indigo-700: hsl(229.4 100% 78.3%);
    --p-color-indigo-800: hsl(227.1 100% 85%);
    --p-color-indigo-900: hsl(223.8 100% 89.9%);
    --p-color-indigo-950: hsl(220 100% 95.1%);

    --p-color-violet-50: hsl(265.1 57.3% 25.4%);
    --p-color-violet-100: hsl(263.5 63.8% 39.4%);
    --p-color-violet-200: hsl(263.4 66.2% 44.1%);
    --p-color-violet-300: hsl(263.7 72.8% 52.4%);
    --p-color-violet-400: hsl(262.5 87.3% 59.8%);
    --p-color-violet-500: hsl(258.3 95.1% 63.2%);
    --p-color-violet-600: hsl(255.1 100% 67.2%);
    --p-color-violet-700: hsl(253 100% 81.5%);
    --p-color-violet-800: hsl(251.7 100% 87.9%);
    --p-color-violet-900: hsl(254.1 100% 91.7%);
    --p-color-violet-950: hsl(257.1 100% 96.1%);

    --p-color-purple-50: hsl(276 54.3% 20.5%);
    --p-color-purple-100: hsl(273.6 61.8% 35.4%);
    --p-color-purple-200: hsl(272.9 64% 41.4%);
    --p-color-purple-300: hsl(271.9 68.1% 49.2%);
    --p-color-purple-400: hsl(271.5 85.1% 57.8%);
    --p-color-purple-500: hsl(270.7 96.4% 62.1%);
    --p-color-purple-600: hsl(270.5 100% 71.9%);
    --p-color-purple-700: hsl(270.9 100% 81.3%);
    --p-color-purple-800: hsl(272.4 100% 87.7%);
    --p-color-purple-900: hsl(276.7 100% 91.5%);
    --p-color-purple-950: hsl(300 100% 96.5%);

    --p-color-fuchsia-50: hsl(297.1 51.2% 18.6%);
    --p-color-fuchsia-100: hsl(296.7 59.5% 31.5%);
    --p-color-fuchsia-200: hsl(295.4 65.4% 35.1%);
    --p-color-fuchsia-300: hsl(294.6 67.4% 42.2%);
    --p-color-fuchsia-400: hsl(293.3 68.7% 51.2%);
    --p-color-fuchsia-500: hsl(292.1 88.4% 57.7%);
    --p-color-fuchsia-600: hsl(292 98.5% 59.5%);
    --p-color-fuchsia-700: hsl(292.4 100% 79.5%);
    --p-color-fuchsia-800: hsl(292.9 100% 86.8%);
    --p-color-fuchsia-900: hsl(300 100% 91.5%);
    --p-color-fuchsia-950: hsl(300 100% 96.3%);

    --p-color-pink-50: hsl(336.2 59.6% 20%);
    --p-color-pink-100: hsl(336.8 63.9% 34%);
    --p-color-pink-200: hsl(336.8 68.7% 37.6%);
    --p-color-pink-300: hsl(336.1 71.8% 44.5%);
    --p-color-pink-400: hsl(333.9 74.9% 53.1%);
    --p-color-pink-500: hsl(330.7 86.3% 57.7%);
    --p-color-pink-600: hsl(328.6 91.5% 67.2%);
    --p-color-pink-700: hsl(327.4 97.6% 78.7%);
    --p-color-pink-800: hsl(325.1 100% 86.6%);
    --p-color-pink-900: hsl(322.1 100% 91.3%);
    --p-color-pink-950: hsl(315 100% 95.9%);

    --p-color-rose-50: hsl(342.3 62.9% 21.5%);
    --p-color-rose-100: hsl(342.8 68.9% 34.2%);
    --p-color-rose-200: hsl(344.8 72.6% 37.3%);
    --p-color-rose-300: hsl(346.9 75.8% 43.7%);
    --p-color-rose-400: hsl(348.2 80.1% 52.7%);
    --p-color-rose-500: hsl(350.4 94.8% 57.5%);
    --p-color-rose-600: hsl(351.2 100% 58.1%);
    --p-color-rose-700: hsl(352.3 100% 78.1%);
    --p-color-rose-800: hsl(352 100% 86.2%);
    --p-color-rose-900: hsl(354.5 100% 90.7%);
    --p-color-rose-950: hsl(353.3 100% 95.7%);

    --p-color-primary-50: var(--p-color-indigo-50);
    --p-color-primary-100: var(--p-color-indigo-100);
    --p-color-primary-200: var(--p-color-indigo-200);
    --p-color-primary-300: var(--p-color-indigo-300);
    --p-color-primary-400: var(--p-color-indigo-400);
    --p-color-primary-500: var(--p-color-indigo-500);
    --p-color-primary-600: var(--p-color-indigo-600);
    --p-color-primary-700: var(--p-color-indigo-700);
    --p-color-primary-800: var(--p-color-indigo-800);
    --p-color-primary-900: var(--p-color-indigo-900);
    --p-color-primary-950: var(--p-color-indigo-950);

    --p-color-success-50: var(--p-color-green-50);
    --p-color-success-100: var(--p-color-green-100);
    --p-color-success-200: var(--p-color-green-200);
    --p-color-success-300: var(--p-color-green-300);
    --p-color-success-400: var(--p-color-green-400);
    --p-color-success-500: var(--p-color-green-500);
    --p-color-success-600: var(--p-color-green-600);
    --p-color-success-700: var(--p-color-green-700);
    --p-color-success-800: var(--p-color-green-800);
    --p-color-success-900: var(--p-color-green-900);
    --p-color-success-950: var(--p-color-green-950);

    --p-color-warning-50: var(--p-color-amber-50);
    --p-color-warning-100: var(--p-color-amber-100);
    --p-color-warning-200: var(--p-color-amber-200);
    --p-color-warning-300: var(--p-color-amber-300);
    --p-color-warning-400: var(--p-color-amber-400);
    --p-color-warning-500: var(--p-color-amber-500);
    --p-color-warning-600: var(--p-color-amber-600);
    --p-color-warning-700: var(--p-color-amber-700);
    --p-color-warning-800: var(--p-color-amber-800);
    --p-color-warning-900: var(--p-color-amber-900);
    --p-color-warning-950: var(--p-color-amber-950);

    --p-color-danger-50: var(--p-color-red-50);
    --p-color-danger-100: var(--p-color-red-100);
    --p-color-danger-200: var(--p-color-red-200);
    --p-color-danger-300: var(--p-color-red-300);
    --p-color-danger-400: var(--p-color-red-400);
    --p-color-danger-500: var(--p-color-red-500);
    --p-color-danger-600: var(--p-color-red-600);
    --p-color-danger-700: var(--p-color-red-700);
    --p-color-danger-800: var(--p-color-red-800);
    --p-color-danger-900: var(--p-color-red-900);
    --p-color-danger-950: var(--p-color-red-950);

    --p-color-neutral-50: var(--p-color-gray-50);
    --p-color-neutral-100: var(--p-color-gray-100);
    --p-color-neutral-200: var(--p-color-gray-200);
    --p-color-neutral-300: var(--p-color-gray-300);
    --p-color-neutral-400: var(--p-color-gray-400);
    --p-color-neutral-500: var(--p-color-gray-500);
    --p-color-neutral-600: var(--p-color-gray-600);
    --p-color-neutral-700: var(--p-color-gray-700);
    --p-color-neutral-800: var(--p-color-gray-800);
    --p-color-neutral-900: var(--p-color-gray-900);
    --p-color-neutral-950: var(--p-color-gray-950);

    --p-color-neutral-0: hsl(240, 5.9%, 11%);
    --p-color-neutral-1000: hsl(0, 0%, 100%);

    --p-border-radius-small: 0.1875rem;
    --p-border-radius-medium: 0.25rem;
    --p-border-radius-large: 0.5rem;
    --p-border-radius-x-large: 0.75rem;
    --p-border-radius-2x-large: 1rem;

    --p-border-radius-circle: 50%;
    --p-border-radius-pill: 9999px;

    --p-shadow-x-small: 0 1px 2px rgb(0 0 0 / 18%);
    --p-shadow-small: 0 1px 2px rgb(0 0 0 / 24%);
    --p-shadow-medium: 0 2px 4px rgb(0 0 0 / 24%);
    --p-shadow-large: 0 2px 8px rgb(0 0 0 / 24%);
    --p-shadow-x-large: 0 4px 16px rgb(0 0 0 / 24%);

    --p-spacing-3x-small: 0.125rem;
    --p-spacing-2x-small: 0.25rem;
    --p-spacing-x-small: 0.5rem;
    --p-spacing-small: 0.75rem;
    --p-spacing-medium: 1rem;
    --p-spacing-large: 1.25rem;
    --p-spacing-x-large: 1.75rem;
    --p-spacing-2x-large: 2.25rem;
    --p-spacing-3x-large: 3rem;
    --p-spacing-4x-large: 4.5rem;

    --p-transition-x-slow: 1000ms;
    --p-transition-slow: 500ms;
    --p-transition-medium: 250ms;
    --p-transition-fast: 150ms;
    --p-transition-x-fast: 50ms;

    --p-font-mono: SFMono-Regular, Consolas, "Liberation Mono", Menlo, monospace;
    --p-font-sans: Arial, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica,
      Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji",
      "Segoe UI Symbol";
    --p-font-serif: Georgia, "Times New Roman", serif;

    --p-font-size-2x-small: 0.625rem;
    --p-font-size-x-small: 0.75rem;
    --p-font-size-small: 0.875rem;
    --p-font-size-medium: 1rem;
    --p-font-size-large: 1.25rem;
    --p-font-size-x-large: 1.5rem;
    --p-font-size-2x-large: 2.25rem;
    --p-font-size-3x-large: 3rem;
    --p-font-size-4x-large: 4.5rem;

    --p-font-weight-light: 300;
    --p-font-weight-normal: 400;
    --p-font-weight-medium: 500;
    --p-font-weight-bold: 700;

    --p-letter-spacing-denser: -0.03em;
    --p-letter-spacing-dense: -0.015em;
    --p-letter-spacing-normal: normal;
    --p-letter-spacing-loose: 0.075em;
    --p-letter-spacing-looser: 0.15em;

    --p-line-height-denser: 1;
    --p-line-height-dense: 1.4;
    --p-line-height-normal: 1.8;
    --p-line-height-loose: 2.2;
    --p-line-height-looser: 2.6;

    --p-focus-ring-color: var(--p-color-primary-700);
    --p-focus-ring-style: solid;
    --p-focus-ring-width: 2px;
    --p-focus-ring: var(--p-focus-ring-style) var(--p-focus-ring-width)
      var(--p-focus-ring-color);
    --p-focus-ring-offset: 1px;

    --p-button-font-size-small: var(--p-font-size-x-small);
    --p-button-font-size-medium: var(--p-font-size-small);
    --p-button-font-size-large: var(--p-font-size-medium);

    --p-input-height-small: 2rem;
    --p-input-height-medium: 2.5rem;
    --p-input-height-large: 3rem;

    --p-input-background-color: var(--p-color-neutral-0);
    --p-input-background-color-hover: var(--p-input-background-color);
    --p-input-background-color-focus: var(--p-input-background-color);
    --p-input-background-color-disabled: var(--p-color-neutral-100);
    --p-input-border-color: var(--p-color-neutral-400);
    --p-input-border-color-hover: var(--p-color-neutral-500);
    --p-input-border-color-focus: var(--p-color-primary-600);
    --p-input-border-color-disabled: var(--p-color-neutral-400);
    --p-input-border-width: 1px;
    --p-input-required-content: "*";
    --p-input-required-content-offset: -2px;
    --p-input-required-content-color: var(--p-input-label-color);

    --p-input-border-radius-small: var(--p-border-radius-large);
    --p-input-border-radius-medium: var(--p-border-radius-large);
    --p-input-border-radius-large: var(--p-border-radius-large);

    --p-input-font-family: var(--p-font-sans);
    --p-input-font-weight: var(--p-font-weight-normal);
    --p-input-font-size-small: var(--p-font-size-small);
    --p-input-font-size-medium: var(--p-font-size-medium);
    --p-input-font-size-large: var(--p-font-size-large);
    --p-input-letter-spacing: var(--p-letter-spacing-normal);

    --p-input-color: var(--p-color-neutral-700);
    --p-input-color-hover: var(--p-color-neutral-700);
    --p-input-color-focus: var(--p-color-neutral-700);
    --p-input-color-disabled: var(--p-color-neutral-900);
    --p-input-icon-color: var(--p-color-neutral-500);
    --p-input-icon-color-hover: var(--p-color-neutral-600);
    --p-input-icon-color-focus: var(--p-color-neutral-600);
    --p-input-placeholder-color: var(--p-color-neutral-500);
    --p-input-placeholder-color-disabled: var(--p-color-neutral-600);
    --p-input-spacing-small: var(--p-spacing-small);
    --p-input-spacing-medium: var(--p-spacing-medium);
    --p-input-spacing-large: var(--p-spacing-large);

    --p-input-focus-ring-color: hsl(230 88.7% 48.4% / 40%);
    --p-input-focus-ring-offset: 0;

    --p-input-filled-background-color: var(--p-color-neutral-100);
    --p-input-filled-background-color-hover: var(--p-color-neutral-100);
    --p-input-filled-background-color-focus: var(--p-color-neutral-100);
    --p-input-filled-background-color-disabled: var(--p-color-neutral-100);
    --p-input-filled-color: var(--p-color-neutral-800);
    --p-input-filled-color-hover: var(--p-color-neutral-800);
    --p-input-filled-color-focus: var(--p-color-neutral-700);
    --p-input-filled-color-disabled: var(--p-color-neutral-800);

    --p-input-label-font-size-small: var(--p-font-size-small);
    --p-input-label-font-size-medium: var(--p-font-size-medium);
    --p-input-label-font-size-large: var(--p-font-size-large);
    --p-input-label-color: inherit;

    --p-input-help-text-font-size-small: var(--p-font-size-x-small);
    --p-input-help-text-font-size-medium: var(--p-font-size-small);
    --p-input-help-text-font-size-large: var(--p-font-size-medium);
    --p-input-help-text-color: var(--p-color-neutral-600);

    --p-toggle-size-small: 1rem;
    --p-toggle-size-medium: 1.5rem;
    --p-toggle-size-large: 2rem;

    --p-overlay-background-color: hsl(0 0% 0% / 43%);

    --p-panel-background-color: var(--p-color-neutral-50);
    --p-panel-border-color: var(--p-color-neutral-200);
    --p-panel-border-width: 1px;

    --p-tooltip-border-radius: var(--p-border-radius-large);
    --p-tooltip-background-color: var(--p-color-neutral-0);
    --p-tooltip-color: var(--p-color-neutral-700);
    --p-tooltip-font-family: var(--p-font-sans);
    --p-tooltip-font-weight: var(--p-font-weight-semibold);
    --p-tooltip-font-size: var(--p-font-size-x-small);
    --p-tooltip-line-height: var(--p-line-height-dense);
    --p-tooltip-padding: var(--p-spacing-x-small) var(--p-spacing-x-small);
    --p-tooltip-arrow-size: 6px;

    --p-z-index-drawer: 700;
    --p-z-index-dialog: 800;
    --p-z-index-dropdown: 900;
    --p-z-index-toast: 950;
    --p-z-index-tooltip: 1000;
  }

  @supports (scrollbar-gutter: stable) {
    .p-scroll-lock {
      scrollbar-gutter: var(--p-scroll-lock-gutter) !important;
    }

    .p-scroll-lock body {
      overflow: hidden !important;
    }
  }

  @supports not (scrollbar-gutter: stable) {
    .p-scroll-lock body {
      padding-right: var(--p-scroll-lock-size) !important;
      overflow: hidden !important;
    }
  }

  .p-toast-stack {
    position: fixed;
    top: 0;
    inset-inline-end: 0;
    z-index: var(--p-z-index-toast);
    width: 28rem;
    max-width: 100%;
    max-height: 100%;
    overflow: auto;
  }

  .p-toast-stack p-alert {
    margin: var(--p-spacing-medium);
  }

  .p-toast-stack p-alert::part(base) {
    box-shadow: var(--p-shadow-large);
  }
`;
